{% extends 'base.html.twig' %}

{% block title %}Client index{% endblock %}

{% block body %}
<div class="d-flex flex-row">
    {{ include('sidebar/_sidebar.html.twig', {'active': 'client'}) }}
    <div class="container py-5">
        <h1>Liste des Clients</h1>

        <table class="table table-striped mt-5">
            <thead>
                <tr>
                    <th>Code client</th>
                    <th>Nom</th>
                    <th>Prenom</th>
                    <th>Code Postal</th>
                    <th>actions</th>
                </tr>
            </thead>
            <tbody>
                {% for client in clients %}
                <tr>
                    <td>{{ client.codeClt }}</td>
                    <td>{{ client.nom }}</td>
                    <td>{{ client.prenom }}</td>
                    <td>{{ client.codePostal }}</td>
                    <td>
                        <a class="btn btn-success"
                            href="{{ path('technicien_show', {'codeTech': client.codeClt}) }}">Afficher</a>
                        <a class="btn btn-danger"
                            href="{{ path('technicien_edit', {'codeTech': client.codeClt}) }}">Editer</a>
                    </td>
                </tr>
                {% else %}
                <tr>
                    <td colspan="5">Aucun client trouvé</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>

        <a class="btn btn-primary" href="{{ path('client_new') }}">Ajouter client</a>
    </div>
</div>

{% endblock %}